Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### nfc()

Examples

    int i = 500000;
    String si = nfc(i);
    println(si);  // Prints "500,000"
    float f = 42525.34343;
    String fi = nfc(f, 2);
    println(fi);  // Prints "42,525.34"

Description | Utility function for formatting numbers into strings and placing appropriate commas to mark units of 1000. There are two versions, one for formatting ints and one for formatting an array of ints. The value for the digits parameter should always be a positive integer.

Syntax

    nfc(intValue)
    nfc(floatValue, right)

Parameters

intValue | int or int[]: the number(s) to format
floatValue | float or float[]: the number(s) to format
right | int: number of digits to the right of the decimal point

Usage | Web & Application
Related | nf() nfs() nfp()

Updated on February 09, 2008 04:38:52pm PST